EndpointsMedicine Suggestions

Medicine Suggestions

Function-calling namespace: medicineSuggestions

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

getByConsultation

Source: backend/endpoints/medicine-suggestions/get-by-consultation

Input Fields

FieldTypeRequiredConstraints
patientIdstringYes-
consultationIdstringYes-
priceFilterobjectNonullable
nearByobjectNonullable

Nested Field Structures

priceFilter

FieldTypeRequiredConstraints
minPricenumberNonullable
maxPricenumberNonullable
sortBystringNo-

nearBy

FieldTypeRequiredConstraints
latnumberNounix-ms timestamp; nullable
lotnumberNonullable
latitudenumberNonullable
longitudenumberNonullable
radiusKmnumberNonullable
addressStreetstringNo-
addressCitystringNo-
addressStatestringNo-
addressPostalCodestringNo-
addressCountrystringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "medicineSuggestions",
  "apiName": "getByConsultation",
  "data": {
    "patientId": "patient_123",
    "consultationId": "consultation_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }